Bug 990494 - Netty worker threads consume all cpu time after deployment and undeployment of service with udp binding
Netty worker threads consume all cpu time after deployment and undeployment o...
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity urgent
: ER7
: 6.0.0
Assigned To: Douglas Palmer
Jiri Sedlacek
Depends On:
  Show dependency treegraph
Reported: 2013-07-31 05:57 EDT by Jiri Sedlacek
Modified: 2015-08-02 19:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
reproducer (6.87 KB, application/x-compressed-tar)
2013-07-31 05:57 EDT, Jiri Sedlacek
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1633 Major Closed Netty goes bonkers when undeploying UDP bindings 2014-06-16 19:49:08 EDT

  None (edit)
Description Jiri Sedlacek 2013-07-31 05:57:51 EDT
Created attachment 781034 [details]

Description of problem:

After deployment and undeployment of archive with switchyard service, netty worker threads consume all cpu power. 

Example project is attached.
Comment 1 Keith Babo 2013-07-31 09:29:02 EDT
I can confirm this behavior locally and I also see netty threads consuming the CPU.  We need to dig into this deeper, but I would vote against this being a blocker as deployment still works and the server is still able to shutdown cleanly if the user gets into a situation where undeploy pegs the CPU.  Undeploying the app and bouncing the server results in a clean undeployment.  Obviously not ideal, but at least the server is left in a consistent state.

BTW, I do not see this behavior with Netty TCP bindings, so the impact here is limited to UDP bindings only.
Comment 2 Jiri Sedlacek 2013-08-01 07:15:56 EDT
Keith, I've seen this behaviour with TCP bindings too, but just once and cannot reproduce it now. So there may be issues with Netty regardless of TCP/UDP choice.
Comment 7 JBoss JIRA Server 2013-10-21 09:15:02 EDT
Keith Babo <kbabo@redhat.com> made a comment on jira SWITCHYARD-1633

Comment 8 Jiri Sedlacek 2013-12-18 08:51:59 EST
tried several times, seems to be fixed, marking as verified in ER7-2
Comment 9 JBoss JIRA Server 2014-06-16 19:49:09 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1633 to Closed

Note You need to log in before you can comment on or make changes to this bug.